For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETObtain the publishable key for a specific environment
      • GETGet SFTP credentials for Space
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceAuth

Obtain the publishable key for a specific environment

GET
https://api.x.flatfile.com/v1/auth/publishable-key
GET
/v1/auth/publishable-key
$curl -G https://api.x.flatfile.com/v1/auth/publishable-key \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -d environmentId=us_env_YOUR_ID
1{
2 "data": {
3 "id": "us_key_YOUR_ID",
4 "type": "PUBLISHABLE",
5 "operations": [
6 {
7 "path": "/v1/spaces",
8 "method": "POST"
9 }
10 ],
11 "createdAt": "2017-07-21T17:32:28Z",
12 "rawKey": "pk_YOUR_RAW_API_KEY",
13 "environmentId": "us_env_YOUR_ID",
14 "accountId": "us_acc_YOUR_ID"
15 }
16}
Was this page helpful?
Previous

Get SFTP credentials for Space

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Query parameters

environmentIdstringRequired
ID of environment to search

Response

This endpoint returns an object.
dataobject
API Key used for authenticating against our APIs

Errors

400
Bad Request Error
404
Not Found Error